View Issue Details

IDProjectCategoryView StatusLast Update
0036621LazarusCompilerpublic2020-08-02 11:33
Reporterhan Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSmacOS 
Product Version2.0.6 
Summary0036621: an OnDblClick event is generated by single click on Tedit for macOS only.
DescriptionMy application works fine in Linux and Windows. However in macOS for a Tedit the OnDblClick event is generated by a single click on Tedit. I have upgraded from Lazarus 2.0.0 to 2.0.6. This didn't help.

Han
Steps To ReproduceUse a Tedit in macOS, 64 bit Cocoa.
TagsNo tags attached.
Fixed in Revision63673
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2020-01-25 07:24

developer   ~0120726

the issue is fixed in trunk (and fixes branch)

han

2020-08-01 18:23

reporter   ~0124464

Thanks.

 I noted it isn't fixed in Lazarus 2.0.10 & FPC3.2.0. Any idea when this will be in the official release?

Dmitry Boyarintsev

2020-08-01 20:31

developer   ~0124470

works as expected in 2.0.10 - single click generates OnClick even only.
OnDblClick is only triggered with actual double clicks.
please provide a sample project to demonstrate the issue.

han

2020-08-02 01:40

reporter   ~0124480

Use attached test project. Toggle with a single mouse click between edit1 and edit2. See attached result in memo1
Archive.zip (352,306 bytes)

han

2020-08-02 01:42

reporter   ~0124481

This is screenshot of the result. The double click should not be there.
result.png (33,073 bytes)   
result.png (33,073 bytes)   

Dmitry Boyarintsev

2020-08-02 06:17

developer   ~0124482

Last edited: 2020-08-02 07:11

View 2 revisions

i see... the issue occurring when switching to an edit initially
once switched all sub-sequent clicks are reported as normal

Dmitry Boyarintsev

2020-08-02 07:53

developer   ~0124483

please test and close if ok

han

2020-08-02 11:33

reporter   ~0124485

Yes that works as expected in 63673. Thanks!

Issue History

Date Modified Username Field Change
2020-01-22 23:54 han New Issue
2020-01-25 07:24 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-01-25 07:24 Dmitry Boyarintsev Status new => resolved
2020-01-25 07:24 Dmitry Boyarintsev Resolution open => fixed
2020-01-25 07:24 Dmitry Boyarintsev LazTarget => -
2020-01-25 07:24 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-01-25 07:24 Dmitry Boyarintsev Note Added: 0120726
2020-08-01 18:23 han Note Added: 0124464
2020-08-01 20:31 Dmitry Boyarintsev Note Added: 0124470
2020-08-01 20:31 Dmitry Boyarintsev Status resolved => feedback
2020-08-01 20:31 Dmitry Boyarintsev Resolution fixed => open
2020-08-02 01:40 han Note Added: 0124480
2020-08-02 01:40 han File Added: Archive.zip
2020-08-02 01:40 han Status feedback => assigned
2020-08-02 01:42 han Note Added: 0124481
2020-08-02 01:42 han File Added: result.png
2020-08-02 06:17 Dmitry Boyarintsev Note Added: 0124482
2020-08-02 06:18 Dmitry Boyarintsev Status assigned => feedback
2020-08-02 06:21 Dmitry Boyarintsev Status feedback => assigned
2020-08-02 07:11 Dmitry Boyarintsev Note Edited: 0124482 View Revisions
2020-08-02 07:53 Dmitry Boyarintsev Status assigned => resolved
2020-08-02 07:53 Dmitry Boyarintsev Resolution open => fixed
2020-08-02 07:53 Dmitry Boyarintsev Fixed in Revision => 63673
2020-08-02 07:53 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-08-02 07:53 Dmitry Boyarintsev Note Added: 0124483
2020-08-02 11:33 han Status resolved => closed
2020-08-02 11:33 han Note Added: 0124485